Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9547

Department: EF Affected Products: ADTF 3.3.1

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::SDK

Resolution: Not Reproducible FAQ Links:  

Description

Support Anfrage:

Beim Bauen der ADTF 3.3.1 Examples mit Visual Studio 2015 Update 3 unter Windows10 erhalte ich folgenden Compiler Fehler: 

+ Schweregrad    Code    Beschreibung    Projekt    Datei    Zeile

Fehler    C2899    Der Typname kann nicht außerhalb einer Vorlagendeklaration verwendet werden (Qu

elldatei wird kompiliert C:\work\sdks\adtf\3.3.1_win64_vc190\src\examples\src\ucom\apps\demo_ucom_

cast_app\car.cpp)    demo_ucom_cast_app    c:\work\sdks\adtf\3.3.1_win64_vc190\pkg\a_utils\include

\a_utils\core\versiontype.h    40

 Wenn ich mir die Datei [ADTF Install]\3.3.1_win64_vc190\pkg\a_utils\include\a_utils\core\versiontype.h ansehe, entspricht sie genau

der Fehlerbeschreibung von Microsoft [1].

Ich habe ueber [ADTF Install]\3.3.1_win64_vc190\build_examples.bat die Solution (mit Qt, ohen SDL) ohne Fehler generieren

koennen.

[1] https://msdn.microsoft.com/de-de/library/5yz2448b.aspx?f=255&MSPPError=-2147217396

Lösung:

Grundsätzlich scheint das eine berechtigte Fehlermeldung zu sein -- das typename-Schlüsselwort gehört dort nicht hin.

Ich kann die Fehlermeldung jedoch weder mit VS2015 noch mit dem GCC 8.1 auf Linux reproduzieren.

Kannst du mir die komplette Compiler-Befehlszeile schreiben?

(VS2015 > Rechtsklick aufs Projekt -> Eigenschaften --> Kompiler --> Alle Optionen (ganz unten).)

History

#1 - 2018-06-12 16:30 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::SDK

#3 - 2018-06-13 14:01 - hidden

Bitte ein Bug-Ticket anlegen.

#4 - 2018-06-15 09:43 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9547

Produkt Ticket (Bug) ACORE-9547 wurde erstellt und verlinkt.

Weitere Bearbeitung des Problems erfolgt über das Produktticket.

Kann das Support Ticket damit geschlossen werden?
https://msdn.microsoft.com/de-de/library/5yz2448b.aspx?f=255&MSPPError=-2147217396


#5 - 2018-06-18 11:22 - hidden

Ich kann das Supportticket nicht einsehen, werde also nicht ueber aktualisierungen Benachrichtigt.

#6 - 2018-06-20 08:45 - hidden

Hallo Harald,

das ACORE Ticket befindet sich im AUDI CIP/JIRA.

Soweit ich es nachvollziehen kann, hast Du dort bereits einen Account aber vermutlich keinen (lesenden) Zugriff auf die ACORE Tickets.

Dies können wir nicht freischalten.

Bitte selbst einen CIPTASK eröffnen um Dich dort freischalten zu lassen.

Gerne als Referenz den Link zum (ACORE) Ticket mit angeben.

Das genügt meistens schon.

Das Support Ticket werden wir mit deiner Einverständnis schließen!?

#7 - 2018-06-22 10:08 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#8 - 2018-06-22 10:10 - hidden

- Description updated

#9 - 2018-06-22 12:26 - hidden

- Project changed from 11 to Public Support

- Subject changed from Compiler Fehler C2899 to Compiler Error C2899

- Private changed from Yes to No

#10 - 2018-06-25 12:23 - hidden

Hallo Harald,

Danke für deine Anfrage -

Hast du inzwischen Zugriff auf das entsprechende Jira-Ticket?

Grundsätzlich scheint das eine berechtigte Fehlermeldung zu sein -- das typenameSchlüsselwort gehört dort nicht hin.

Ich kann die Fehlermeldung jedoch weder mit VS2015 noch mit dem GCC 8.1 auf Linux reproduzieren.

Kannst du mir die komplette Compiler-Befehlszeile schreiben?

(VS2015 -> Rechtsklick aufs Projekt -> Eigenschaften --> Kompiler --> Alle Optionen (ganz unten).)

Danke und viele Grüße

Wolfgang

#11 - 2018-06-25 12:30 - hidden

https://godbolt.org/g/WpG1Ti

#12 - 2018-06-26 15:34 - hidden

- Status changed from To Be Closed to Customer Feedback Required

Bitte auch die exakte Compilerversion mitteilen

#14 - 2018-07-10 14:38 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution changed from Product Issue Opened to Not Reproducible

#15 - 2018-07-19 10:49 - hidden

- Status changed from To Be Closed to Closed
